<?php

/**
 * @file
 * Contains \Drupal\entity_wishlist\Controller\EntityUserWishlistController.
 */

namespace Drupal\entity_wishlist\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\user\UserInterface;
use Drupal\node\Entity\Node;
use Drupal\Core\Link;
use Drupal\Core\Url;

/**
 * A EntityUserWishlistController controller.
 */
class EntityUserWishlistController extends ControllerBase {

    public function content(UserInterface $user) {
        $user = \Drupal\user\Entity\User::load(\Drupal::currentUser()->id());
        $uid = $user->get('uid')->value;
        $header = array(
            array('data' => t('No.')),
            array('data' => t('Title')),
        );
        $db = \Drupal::database();
        $query = $db->select('entity_wishlist', 'ew');
        $query->fields('ew', array("wid", "entity_id"));
        $query->condition('uid', $uid, "=");
        $pager = $query->extend('Drupal\Core\Database\Query\PagerSelectExtender')->limit(10);
        $list_records = $pager->execute()->fetchAll();

        //$list_records = $query->execute()->FetchAll();
        $rows = array();
        foreach ($list_records as $key => $data) {
            $node = Node::load($data->entity_id);
            $node_title = $node->getTitle();
            $path = "/node/" . $data->entity_id;
            $url = Url::fromUri('internal:' . $path);
            $link = Link::fromTextAndUrl(t($node_title), $url);
            $rows[] = array('data' => array(
                    'name' => $key + 1,
                    'content' => $link,
            ));
        }
        $build['config_table'] = array(
            '#theme' => 'table',
            '#header' => $header,
            '#rows' => $rows,
            "#empty" => t("No record found.")
        );
        $build['pager'] = array(
            '#type' => 'pager'
        );
        return $build;
    }

}
